﻿@model AEWeb.ViewModels.Dashboard.DashboardUserViewModel
@using Microsoft.AspNetCore.Mvc.Localization
@inject IViewLocalizer Localizer
@{
    var culture = System.Globalization.CultureInfo.CurrentCulture.ToString();
    ViewBag.Title = "Share Dashboard";
}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>@Localizer["PageTitle"]</h2>
        <small>@Localizer["PageDescription"]</small>
    </div>
    <div class="col-lg-2">

    </div>
</div>

<div class="wrapper wrapper-content">
    <div class="row">
        <div class="col-lg-12">

            <div class="ibox">
                <div class="ibox-title">
                    <a asp-action="Index" asp-controller="Dashboard" class="btn btn-default btn-sm">Back to Dashboard List</a>

                </div>
                <div class="ibox-content">
                    <div class="container-fluid">

                        <h3>Selected Dashboard: @{ @Model.Dashboard.Name }</h3>

                        <form role="form" asp-action="AddUserInDashboard" method="post" class="row mb-3">
                            <div class="col-md-4">
                                @(Html.Kendo().ComboBoxFor(m => m.SelectedUserId)
                                    .Placeholder("Type letters in user name or lastname")
                                    .DataTextField("fullName")
                                    .DataValueField("id")
                                    .HtmlAttributes(new { style = "width:100%;" })
                                    .Template("#= fullName #")
                                    .Filter(FilterType.Contains)
                                    .AutoBind(false)
                                    .MinLength(3)
                                    .DataSource(source =>
                                    {
                                        source.Read(read =>
                                        {
                                            read.Action("GetUsersBySearchJSON", "User");
                                        })
                                        .ServerFiltering(true);
                                    })
                                )

                                @Html.HiddenFor(m => m.Dashboard.DashboardId)
                            </div>
                            <div class="col-md-2">
                                <button type="submit" class="btn btn-default btn-sm">Add user</button>
                            </div>
                        </form>

                        @if (Model.Users.Count > 0)
                        {
                            <div class="row mb-2">
                                <div class="col-md-6 col-xs-12 pt-2">
                                    <div class="dataTables_info" id="DataTables_Table_0_info" role="status"
                                         aria-live="polite">
                                        Showing @{ @Model.Users.Count }  entries
                                    </div>
                                </div>
                                <div class="col-md-6 col-xs-12">

                                    <div class="form-inline flex-end">
                                        Show&nbsp;
                                        <select class="form-control form-control-sm ml-1 mr-1">
                                            <option value="10">10</option>
                                            <option value="25">25</option>
                                            <option value="50">50</option>
                                            <option value="100">100</option>
                                        </select>&nbsp;
                                        entries per page
                                    </div>

                                </div>
                            </div>
                        }


                        <div class="row">
                            <div class="col">

                                <table class="table table-striped table-bordered table-hover dataTables-example">
                                    <thead>
                                        <tr>
                                            <th>
                                                Delete
                                            </th>
                                            <th>
                                                @Html.DisplayNameFor(model => model.Users[0].FirstName)
                                            </th>
                                            <th>
                                                @Html.DisplayNameFor(model => model.Users[0].LastName)
                                            </th>
                                            <th>
                                                @Html.DisplayNameFor(model => model.Users[0].Username)
                                            </th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @if (Model.Users.Count > 0)
                                        {
                                            foreach (var item in Model.Users)
                                            {
                                                <tr>
                                                    <td>
                                                        <a asp-action="RemoveUserFromDashboard" class="text-decoration-none"
                                                           asp-route-userid="@item.Id"
                                                           asp-route-dashboardid="@Model.Dashboard.DashboardId"
                                                           onclick="return confirm('Are you sure you want to remove the selected User?')">
                                                            <i class="fa fa-trash-o"></i>
                                                        </a>
                                                    </td>
                                                    <td>
                                                        @Html.DisplayFor(modelItem => item.FirstName)
                                                    </td>
                                                    <td>
                                                        @Html.DisplayFor(modelItem => item.LastName)
                                                    </td>
                                                    <td>
                                                        @Html.DisplayFor(modelItem => item.Username)
                                                    </td>
                                                </tr>
                                            }
                                        }
                                        else
                                        {
                                            <tr>
                                                <td colspan="5" class="text-center">
                                                    This Dashboard is not being shared with any user
                                                </td>
                                            </tr>
                                        }
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
